#
# spec file for package systemd-presets-branding-SMO
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define generic_name systemd-presets-branding
Name:           systemd-presets-branding-SMO
Version:        20220103
Release:        150500.1.1
Summary:        Systemd default presets for SUSE MicroOS
License:        MIT
Group:          System/Base
Source0:        50-default-SUSE_MicroOS.preset
BuildRequires:  pkgconfig
BuildRequires:  systemd-presets-branding-SLE
BuildRequires:  pkgconfig(systemd)
#!BuildIgnore:  systemd-presets-branding
Requires:       systemd-presets-common-SUSE
# FIXME: use proper Requires(pre/post/preun/...)
PreReq:         coreutils
# systemd-presets-common-SUSE provides
Requires(pre):  systemd-presets-common-SUSE
Supplements:    (systemd and branding-SUSE_MicroOS)
Conflicts:      systemd-presets-branding
Provides:       systemd-presets-branding = %{version}
Obsoletes:      systemd-presets-branding-CAASP < 15.1
BuildArch:      noarch

%description
Default presets for systemd on SUSE MicroOS

%prep
%setup -q -T -c

%build

%install
mkdir -p %{buildroot}%{_prefix}/lib/systemd/system-preset
install -m644 %{SOURCE0}  %{buildroot}%{_prefix}/lib/systemd/system-preset/
# Copy default presets and script
install -m644 %{_prefix}/lib/systemd/system-preset/90-default-SLE.preset %{buildroot}%{_prefix}/lib/systemd/system-preset/

%pre
# On initial installation, branding-preset-states does not yet exist,
# which is why we also check for the file to be present/executable
if [ $1 -gt 1 -a -x %{_prefix}/lib/%{generic_name}/branding-preset-states ] ; then
        #
        # Save the old state so we can detect which package have its
        # default changed later.
        #
        # Note: the old version of the script is used here.
        #
        %{_prefix}/lib/%{generic_name}/branding-preset-states save
elif [ $1 -eq 1 ]; then
  touch /run/rpm-%{name}-preset-all
fi

%post
if [ $1 -gt 1 ] ; then
        #
        # Now that the updated presets are installed, find the ones
        # that have been changed and apply "systemct preset" on them.
        #
        %{_prefix}/lib/%{generic_name}/branding-preset-states apply-changes
fi

%posttrans
if [ -f /run/rpm-%{name}-preset-all ]; then
  # Enable all services, which were installed before systemd
  # Don't disable services, since this would disable the
  # complete network stack.
  systemctl preset-all --preset-mode=enable-only
fi
rm -f /run/rpm-%{name}-preset-all

%files
%{_prefix}/lib/systemd/system-preset/*

%changelog
* Mon Jul 11 2022 jsrain@suse.com
- enable NetworiManager by default (jsc#SMO-84)
* Mon Mar 21 2022 jsrain@suse.com
- disable the AppArmor systemd service (bsc#1197368)
* Mon Feb 21 2022 iforster@suse.com
- enable transactional-update-cleanup.timer (required by
  transactional-update 4.0.0)
* Mon Jan  3 2022 jsrain@suse.com
- enable wicked.service (jsc#SMO-8)
* Thu Oct  8 2020 jsrain@suse.com
- enable the sshd service by default
* Wed Jul  1 2020 jsrain@suse.com
- initial version based on openSUSE MicroOS
